QCA9565 / AR9565 bluetooth not work

Bug #1542944 reported by damien on 2016-02-07
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux-firmware (Ubuntu)
Medium
Pilot6
linux-lts-wily (Ubuntu)
Medium
Pilot6

Bug Description

usb-devices | awk '/e095/' RS=
T: Bus=01 Lev=01 Prnt=01 Port=04 Cnt=02 Dev#= 3 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=0489 ProdID=e095 Rev=00.01
C: #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
I: If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-4.2.0-27-generic 4.2.0-27.32~14.04.1
ProcVersionSignature: Ubuntu 4.2.0-27.32~14.04.1-generic 4.2.8-ckt1
Uname: Linux 4.2.0-27-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.19
Architecture: amd64
CurrentDesktop: XFCE
Date: Sun Feb 7 23:09:38 2016
InstallationDate: Installed on 2016-01-12 (26 days ago)
InstallationMedia: Xubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64 (20150805)
SourcePackage: linux-lts-wily
UpgradeStatus: No upgrade log present (probably fresh install)

damien (dams-38) wrote :
Pilot6 (hanipouspilot) wrote :

I built a test module. You can install it by running terminal commands:

wget https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth/+files/btusb-lp1542944-dkms_0.1_all.deb
sudo dpkg -i btusb-lp1542944-dkms_0.1_all.deb

Then power off the laptop and power it on.
If that does not work, post output of

dmesg | grep ath3k

And that can be fixed by installing new firmware from xenial by

wget http://mirrors.kernel.org/ubuntu/pool/main/l/linux-firmware/linux-firmware_1.155_all.deb
sudo dpkg -i linux-firmware_1.155_all.deb

Changed in linux-lts-wily (Ubuntu):
status: New → Confirmed

Thanks !

I will test it shortly !

Le 08/02/2016 10:42, Pilot6 a écrit :
> I built a test module. You can install it by running terminal commands:
>
> wget https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth/+files/btusb-lp1542944-dkms_0.1_all.deb
> sudo dpkg -i btusb-lp1542944-dkms_0.1_all.deb
>
> Then power off the laptop and power it on.
> If that does not work, post output of
>
> dmesg | grep ath3k
>
> And that can be fixed by installing new firmware from xenial by
>
> wget http://mirrors.kernel.org/ubuntu/pool/main/l/linux-firmware/linux-firmware_1.155_all.deb
> sudo dpkg -i linux-firmware_1.155_all.deb
>
> ** Changed in: linux-lts-wily (Ubuntu)
> Status: New => Confirmed
>

damien (dams-38) wrote :

Hi.

There is an error when enter the sudo dpkg -i btusb-lp1542944-dkms_0.1_all.deb command :

    Sélection du paquet btusb-lp1542944-dkms précédemment désélectionné.
    (Lecture de la base de données... 261857 fichiers et répertoires déjà installés.)
    Préparation du décompactage de btusb-lp1542944-dkms_0.1_all.deb ...
    Décompactage de btusb-lp1542944-dkms (0.1) ...
    Paramétrage de btusb-lp1542944-dkms (0.1) ...
    Loading new btusb-lp1542944-0.1 DKMS files...
    First Installation: checking all kernels...
    Building only for 4.2.0-27-generic
    Building for architecture x86_64
    Building initial module for 4.2.0-27-generic
    ERROR (dkms apport): unable to determine source package for btusb-lp1542944-dkms
    Error! Build of btusb.ko failed for: 4.2.0-27-generic (x86_64)
    Consult the make.log in the build directory
    /var/lib/dkms/btusb-lp1542944/0.1/build/ for more information.

Content of make.log file :

    DKMS make.log for btusb-lp1542944-0.1 for kernel 4.2.0-27-generic (x86_64)
    lundi 8 février 2016, 22:40:01 (UTC+0100)
    make: entrant dans le répertoire « /usr/src/linux-headers-4.2.0-27-generic »
      Building modules, stage 2.
      MODPOST 0 modules
    make: quittant le répertoire « /usr/src/linux-headers-4.2.0-27-generic »

What I need to do ?

Pilot6 (hanipouspilot) wrote :

I made a mistake when built the module. I fixed it.

The link is

https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth/+files/btusb-lp1542944-dkms_0.2_all.deb

It will appear in the PPA in 15-20 minutes.

damien (dams-38) wrote :

 Ok,

the .2 test module has installed.

After reboot, no bluetooth adapter found.

The dmsg return :

[ 4.636514] ath3k: probe of 1-5:1.0 failed with error -2
[ 4.636636] usbcore: registered new interface driver ath3k
[ 60.664773] ath3k: probe of 1-5:1.0 failed with error -2

After installing the new firmware and reboot, bluetooth don't work.

dmsg return the same message :

[ 4.749668] ath3k: probe of 1-5:1.0 failed with error -2
[ 4.751071] usbcore: registered new interface driver ath3k
[ 39.586047] ath3k: probe of 1-5:1.0 failed with error -2

I'm confuse.... what I need to do ?

thanks.

Damien

Pilot6 (hanipouspilot) wrote :

It looks like it is not a AR3012 device

Please attach output of

lspci
lsusb
dmesg

damien (dams-38) wrote :

You will find the output of lspci as attached file.

damien (dams-38) wrote :

You will find the output of lsusb as attached file.

damien (dams-38) wrote :

You will find the output of dmesg as attached file.

Pilot6 (hanipouspilot) wrote :

OK. It looks like there is no firmware in xenial too.

That can be fixed this way. Run

sudo apt-get remove linux-firmware
wget https://launchpad.net/~hanipouspilot/+archive/ubuntu/rtlwifi/+files/linux-firmware_1.144+ar3012_all.deb
sudo dpkg -i linux-firmware_1.144+ar3012_all.deb

That should fix it.

Pilot6 (hanipouspilot) wrote :

The problem is with

[ 4.797878] usb 1-5: Direct firmware load for ar3k/AthrBT_0x31010100.dfu failed with error -2
[ 4.797889] Bluetooth: Patch file not found ar3k/AthrBT_0x31010100.dfu
[ 4.797893] Bluetooth: Loading patch file failed
[ 4.797906] ath3k: probe of 1-5:1.0 failed with error -2

I added this firmware to the package.

damien (dams-38) wrote :

Great ! It work !

Thank you !

Pilot6 (hanipouspilot) on 2016-02-09
Changed in linux-lts-wily (Ubuntu):
assignee: nobody → Pilot6 (hanipouspilot)
status: Confirmed → In Progress
Changed in linux-firmware (Ubuntu):
status: New → Confirmed
Pilot6 (hanipouspilot) wrote :

The patch has been sent upstream

https://lkml.org/lkml/2016/2/9/776

Pilot6 (hanipouspilot) wrote :
Changed in linux-firmware (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Pilot6 (hanipouspilot)
Utku BERBEROĞLU (boluluutku) wrote :

Will this patch fix bluetooth problem in 15.10 and 16.04?

Pilot6 (hanipouspilot) wrote :

It will fix it for this specific device.

Djalal (djalal) wrote :

I have bluetooth issues which seems to be related to this bug because it has idVendor=0489, idProduct=e095, the same one added with the patch. The bluetooth device is detected in Ubuntu Xenial (16.04 beta 1, 64 bit) but scanning produces no results and it is invisible to other devices.

The notebook is an Acer Aspire ES1-331-C5M9 and all other hardware is working as expected with Xenial. Vendor is Foxconn / Hon Hai according to lshw (attached) and manufacturer is Atheros according to hciconfig (below).

$ uname -r
4.4.0-8-generic

$ lsusb
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 003: ID 0489:e095 Foxconn / Hon Hai
Bus 001 Device 002: ID 0bda:57b3 Realtek Semiconductor Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

$ lspci
00:00.0 Host bridge: Intel Corporation Device 2280 (rev 21)
00:02.0 VGA compatible controller: Intel Corporation Device 22b1 (rev 21)
00:14.0 USB controller: Intel Corporation Device 22b5 (rev 21)
00:1a.0 Encryption controller: Intel Corporation Device 2298 (rev 21)
00:1b.0 Audio device: Intel Corporation Device 2284 (rev 21)
00:1c.0 PCI bridge: Intel Corporation Device 22c8 (rev 21)
00:1c.1 PCI bridge: Intel Corporation Device 22ca (rev 21)
00:1f.0 ISA bridge: Intel Corporation Device 229c (rev 21)
00:1f.3 SMBus: Intel Corporation Device 2292 (rev 21)
01:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. Device 5287 (rev 01)
01:00.1 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 12)
02:00.0 Network controller: Qualcomm Atheros QCA9565 / AR9565 Wireless Network Adapter (rev 01)

$ hciconfig -a
hci0: Type: BR/EDR Bus: USB
 BD Address: 70:77:81:5B:59:E6 ACL MTU: 1022:8 SCO MTU: 183:5
 UP RUNNING PSCAN ISCAN
 RX bytes:2171 acl:0 sco:0 events:103 errors:0
 TX bytes:1297 acl:0 sco:0 commands:99 errors:0
 Features: 0xff 0xfe 0x0d 0xfe 0xd8 0x7f 0x7b 0x87
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy: RSWITCH HOLD SNIFF
 Link mode: SLAVE ACCEPT
 Name: 'acer'
 Class: 0x0c010c
 Service Classes: Rendering, Capturing
 Device Class: Computer, Laptop
 HCI Version: 4.0 (0x6) Revision: 0x3101
 LMP Version: 4.0 (0x6) Subversion: 0x1
 Manufacturer: Atheros Communications, Inc. (69)

$ hcitool scan
Scanning ...
(terminates after 10 seconds without detecting visible devices nearby)

Djalal (djalal) wrote :

dmesg output for the Acer notebook

Djalal (djalal) wrote :

syslog for the Acer notebook

Pilot6 (hanipouspilot) wrote :

Djalal,

As soon as the patch gets into Ubuntu kernels, BT will work.
You can try my fix from comment #5.

But I am not quite sure it will build for kernel 4.4.
If you install 14.04.4 or 15.10, and install that deb package and also firmware, it will fix the issue.

Melto (telmo-matias) wrote :

Hi there,

fix not working here!

uname -r
4.2.0-30-lowlatency

inxi -N
Network: Card-1: Qualcomm Atheros QCA9565 / AR9565 Wireless Network Adapter
           driver: ath9k
           Card-2: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
           driver: r8169

i did install the deb and firmware, bluetooth still doesn't find no device !!! Could you help?
Thanks!

Pilot6 (hanipouspilot) wrote :

Telmo,

Does it have the same VID & PID in lsusb?

Melto (telmo-matias) wrote :

lsusb

Bus 004 Device 002: ID 8087:8000 Intel Corp.
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 002: ID 8087:8008 Intel Corp.
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 003: ID 04f2:b424 Chicony Electronics Co., Ltd
Bus 001 Device 004: ID 13d3:3472 IMC Networks
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Melto (telmo-matias) wrote :

do you need something else?

Pilot6 (hanipouspilot) wrote :

Melto,

This is another device. To get a fix, you will need to report a new bug by running

ubuntu-bug linux

Please add output of

usb-devices | awk '/3472/' RS=

to the description of that bug. You can subscribe me to the bug.

Pilot6 (hanipouspilot) wrote :

And do not forget to remove this module by

sudo apt-get remove btusb-lp1542944-dkms

Melto (telmo-matias) wrote :

Thanks Pilot6,
done!

Changed in linux-lts-wily (Ubuntu):
importance: Undecided → Medium
Changed in linux-firmware (Ubuntu):
importance: Undecided → Medium
Pilot6 (hanipouspilot) wrote :

The firmware patch has been committed too. linux-firmware should be updated for Ubuntu.

Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
tags: added: verification-needed-vivid
Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-wily
Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-wily' to 'verification-done-wily'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

damien (dams-38) wrote :

Hi,
I have enabled the the proposed in update manager and make an update. Then I have removed the btusb patch sended by Pilot6.

Now, a uname - a return : 4.2.0-27-generic #32~14.04.1-Ubuntu SMP Fri Jan 22 15:32:26 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

an apt-get upgrade -s return 0 package to update, 0 package to remove and 0 package to add.

Since, the bluetooth has stopped to work ! The probleme is the same describe at the begin of this report.

 What I need to do ? Re-install the btusb patch ?

Thanks

Pilot6 (hanipouspilot) wrote :

damien,

It looks like you did not updated the kernel. The kernel in "proposed" is 4.2.0-36.

Did you manually install 4.2.0-27 kernel? Is linux-generic-lts-wily installed?

damien (dams-38) wrote :

Yes !

You have says me by mail the february 6 2016 :

"But it will be much more convenient if you upgrade your kernel first by running

sudo apt-get install linux-generic-lts-wily

and reboot."

How I need to do ? The old 3.19 kernel was removed because my boot partition is too small.

damien (dams-38) wrote :

I have tried :

install "old" generic-lts-trusty (3.13), reboot and select the old kernel in grub. After the system booted, Launch update. but message says me that packages are up to date.

What I need to do ?
thanks

Djalal (djalal) on 2016-04-24
tags: added: verification-done-wily
removed: verification-needed-wily
Djalal (djalal) wrote :

After installing the proposed kernel in a fresh xubuntu 15.10 environment and manually putting the files AthrBT_0x31010100.dfu and ramps_0x31010100_40.dfu in /lib/firmware/ar3k/ bluetooth started to detect devices!

I was able to send files to my phone, but failed to connect to my Philips headset despite repeated attempts. Any suggestions on how to proceed?

Changed to verification-done-wily.

Djalal (djalal) wrote :

The problem with the headset connection was caused by a missing package in xubuntu. I installed pulseaudio-module-bluetooth and now everything works as expected!

To summarize:

For xubuntu, pulseaudio-module-bluetooth should be included by default.

For wily, the files
/lib/firmware/ar3k/AthrBT_0x31010100.dfu
/lib/firmware/ar3k/ramps_0x31010100_40.dfu
should be included.

For xenial, the .dfu files are present, but the kernel should be patched.

Pilot6 (hanipouspilot) wrote :

damien,

My patch has been added to kernel 4.2.0-36. It is as simple as that.
If you boot with that kernel, the BT should work.

You have an outdated 4.2.0-27 that is obsolete even without using "proposed". This is completely another issue and is out of scope of this bug report. You can't update for some reason. You can ask it at forums or AskUbuntu.

Changed in linux-lts-wily (Ubuntu):
status: In Progress → Fix Committed
Pilot6 (hanipouspilot) wrote :

linux-firmware should be updated for wily as well. My patch to upstream has been committed.

damien (dams-38) wrote :

Ok.

I have installed manually 4.2.0-36 and blutooth work fine.

Djalal (djalal) wrote :

Thanks Pilot6 for solving this.

After fixing bluetooth, I suffered from the so-called bluetooth coexistence issue. That is wifi stopped working whenever bluetooth was in use. Does this affects you as well damien? The solution is mentioned here:
https://wireless.wiki.kernel.org/en/users/drivers/ath9k/btcoex

In my case, I had to
sudo modprobe -r ath9k
sudo modprobe ath9k btcoex_enable=1

This is essentially a bug too unless done automatically by the system. Can it be fixed through here or should I report it somewhere else?

damien (dams-38) wrote :

For me, the wifi and the bluetooth work at the same time...

My laptop is connected in wifi and I can listen a webradio to my bluetooth hifi receiver.

Pilot6 (hanipouspilot) wrote :

The co-existence issue is known. But the default for AR3012 is disabled, because it caused issues on some adapters.
And also not all Atheros Wi-Fi adapters have bluetooth chips.

It can be enabled manually as you did.

Regarding enabling it by default or making some quirks to get it enabled for some chips you can ask the kernel maintainers.
It is not too hard to do. But I am not quite sure there are still no reasons not to be done.

Pilot6 (hanipouspilot) wrote :

You can permanently enable BT coexistence by

sudo tee /etc/modprobe.d/ath9k.conf <<< "options ath9k btcoex_enable=1"

Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
damien (dams-38) wrote :

Sorry but I don't understand....

What is the difference :
- verification-needed-trusty
- verification-needed-vivid
- verification-needed-wily
- verification-needed-xenial

I have 14.04 (trusty ?) and I Have installed prposed kernel 4.2.0-36 and It's work.
Can I test kernel for others ubuntu distro without make damage on my system ?

damien (dams-38) wrote :

tags: added: verification-done-trusty
removed: verification-needed-trusty

Pilot6 (hanipouspilot) wrote :

damien,

These are different kernels. You tested it on xenial kernel. So you can change to "verification-done-xenial".
But in this case the verification is not so important, because the fix came from upstream and it is very simple.

You can try other kernels too. But since you are not very experienced in Ubuntu I suggest not doing this.

You've done more than enough to get this problem fixed. Thanks.

Djalal (djalal) on 2016-04-25
tags: added: verification-done-xenial
removed: verification-needed-xenial
Djalal (djalal) wrote :

I don't think that's correct. Xenial refers to 16.04 and the kernel in question is 4.4.0-22.

I just tested it and the patch works as was expected.

But there are issues with pulseaudio and A2DP. It sometimes work but mostly not. I get the following errors:

[pulseaudio] sink-input.c: Failed to create sink input: sink is suspended.

[pulseaudio] bluez5-util.c: Transport Acquire() failed for transport /org/bluez/hci0/dev_6C_5A_B5_E8_C9_E3/fd3 (Operation Not Authorized)

damien (dams-38) wrote :

Pilot6 : Ok ! Thank you for your patch.

Brad Figg (brad-figg) on 2016-05-06
tags: added: verification-done-trusty verification-done-vivid
removed: verification-needed-trusty verification-needed-vivid
Kamal Mostafa (kamalmostafa) wrote :
Download full text (23.7 KiB)

This bug was fixed in the package linux - 4.4.0-22.38

---------------
linux (4.4.0-22.38) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1573817

  * autoreconstruct: need to also generate extend-diff-ignore options for links
    (LP: #1574362)
    - [Packaging] autoreconstruct -- generate extend-diff-ignore for links

  * tipc: missing linearization of sk_buff (LP: #1567064)
    - tipc: move linearization of buffers to generic code

  * [Hyper-V] In-flight PCI Passthrough Patches (LP: #1570124)
    - SAUCE:(noup) drivers:hv: Lock access to hyperv_mmio resource tree
    - SAUCE:(noup) drivers:hv: Call vmbus_mmio_free() to reverse
      vmbus_mmio_allocate()
    - SAUCE:(noup) drivers:hv: Reverse order of resources in hyperv_mmio
    - SAUCE:(noup) drivers:hv: Track allocations of children of hv_vmbus in
      private resource tree
    - SAUCE:(noup) drivers:hv: Record MMIO range in use by frame buffer
    - SAUCE:(noup) drivers:hv: Separate out frame buffer logic when picking MMIO
      range

  * vbox: resync with 5.0.18-dfsg-2build1 (LP: #1571156)
    - ubuntu: vbox -- update to 5.0.18-dfsg-2build1

  * CONFIG_AUFS_XATTR is not set (LP: #1557776)
    - [Config] CONFIG_AUFS_XATTR=y

  * CVE-2016-3672 (LP: #1568523)
    - x86/mm/32: Enable full randomization on i386 and X86_32

  * CVE-2016-3955 (LP: #1572666)
    - USB: usbip: fix potential out-of-bounds write

  * Xenial update to v4.4.8 stable release (LP: #1573034)
    - hwmon: (max1111) Return -ENODEV from max1111_read_channel if not
      instantiated
    - PKCS#7: pkcs7_validate_trust(): initialize the _trusted output argument
    - parisc: Avoid function pointers for kernel exception routines
    - parisc: Fix kernel crash with reversed copy_from_user()
    - parisc: Unbreak handling exceptions from kernel modules
    - ALSA: timer: Use mod_timer() for rearming the system timer
    - ALSA: hda - Asus N750JV external subwoofer fixup
    - ALSA: hda - Fix white noise on Asus N750JV headphone
    - ALSA: hda - Apply fix for white noise on Asus N550JV, too
    - mm: fix invalid node in alloc_migrate_target()
    - powerpc/mm: Fixup preempt underflow with huge pages
    - libnvdimm: fix smart data retrieval
    - libnvdimm, pfn: fix uuid validation
    - compiler-gcc: disable -ftracer for __noclone functions
    - arm64: opcodes.h: Add arm big-endian config options before including arm
      header
    - drm/dp: move hw_mutex up the call stack
    - drm/udl: Use unlocked gem unreferencing
    - drm/radeon: add a dpm quirk for sapphire Dual-X R7 370 2G D5
    - drm/radeon: add another R7 370 quirk
    - drm/radeon: add a dpm quirk for all R7 370 parts
    - drm/amdgpu/gmc: move vram type fetching into sw_init
    - drm/amdgpu/gmc: use proper register for vram type on Fiji
    - xen/events: Mask a moving irq
    - tcp: convert cached rtt from usec to jiffies when feeding initial rto
    - tunnel: Clear IPCB(skb)->opt before dst_link_failure called
    - net: jme: fix suspend/resume on JMC260
    - net: vrf: Remove direct access to skb->data
    - net: qca_spi: Don't clear IFF_BROADCAST
    - net: qca_spi: clear IFF_TX_SKB_SHARING
    - net: fix bridge multicas...

Changed in linux-lts-wily (Ubuntu):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (30.4 KiB)

This bug was fixed in the package linux-lts-wily - 4.2.0-36.41~14.04.1

---------------
linux-lts-wily (4.2.0-36.41~14.04.1) trusty; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1572212

  [ Benjamin Tissoires ]

  * SAUCE: Input: synaptics - handle spurious release of trackstick
    buttons, again
    - LP: #1553811

  [ dann frazier ]

  * Revert "SAUCE: arm64, numa, dt: adding dt based numa support using dt
    node property arm, associativity"
    - LP: #1558828
  * Revert "SAUCE: Documentation: arm64/arm: dt bindings for numa."
    - LP: #1558828
  * Revert "SAUCE: arm64, numa: adding numa support for arm64 platforms."
    - LP: #1558828
  * Revert "[Config] Enable NUMA on ARM64"
    - LP: #1558828

  [ K. Y. Srinivasan ]

  * SAUCE: (noup): Drivers: hv: vmbus: Fix a bug in
    hv_need_to_signal_on_read()
    - LP: #1556264

  [ Kamal Mostafa ]

  * [debian] BugLink: close LP: bugs only for Launchpad urls
  * [Config] updateconfigs after v4.2.8-ckt7

  [ Upstream Kernel Changes ]

  * Revert "jffs2: Fix lock acquisition order bug in jffs2_write_begin"
    - LP: #1561677
  * tipc: fix connection abort during subscription cancel
    - LP: #1561677
  * tipc: fix nullptr crash during subscription cancel
    - LP: #1561677
  * s390/mm: four page table levels vs. fork
    - LP: #1561677
  * Input: aiptek - fix crash on detecting device without endpoints
    - LP: #1561677
  * wext: fix message delay/ordering
    - LP: #1561677
  * cfg80211/wext: fix message ordering
    - LP: #1561677
  * mac80211: fix use of uninitialised values in RX aggregation
    - LP: #1561677
  * mac80211: minstrel: Change expected throughput unit back to Kbps
    - LP: #1561677
  * libata: fix HDIO_GET_32BIT ioctl
    - LP: #1561677
  * iwlwifi: mvm: inc pending frames counter also when txing non-sta
    - LP: #1561677
  * [media] adv7604: fix tx 5v detect regression
    - LP: #1561677
  * ahci: add new Intel device IDs
    - LP: #1561677
  * ahci: Order SATA device IDs for codename Lewisburg
    - LP: #1561677
  * Adding Intel Lewisburg device IDs for SATA
    - LP: #1561677
  * ASoC: samsung: Use IRQ safe spin lock calls
    - LP: #1561677
  * mac80211: minstrel_ht: set default tx aggregation timeout to 0
    - LP: #1561677
  * usb: chipidea: otg: change workqueue ci_otg as freezable
    - LP: #1561677
  * jffs2: Fix page lock / f->sem deadlock
    - LP: #1561677
  * Fix directory hardlinks from deleted directories
    - LP: #1561677
  * iommu/amd: Fix boot warning when device 00:00.0 is not iommu covered
    - LP: #1561677
  * iommu/amd: Apply workaround for ATS write permission check
    - LP: #1561677
  * libata: Align ata_device's id on a cacheline
    - LP: #1561677
  * can: gs_usb: fixed disconnect bug by removing erroneous use of kfree()
    - LP: #1561677
  * fbcon: set a default value to blink interval
    - LP: #1561677
  * KVM: x86: fix root cause for missed hardware breakpoints
    - LP: #1561677
  * arm64: vmemmap: use virtual projection of linear region
    - LP: #1561677
  * vfio: fix ioctl error handling
    - LP: #1561677
  * ALSA: ctl: Fix ioctls for X32 ABI
    - LP: #1561677
  * ALSA: pcm: Fix ioctls for X32 ABI
    - LP: ...

Changed in linux-lts-wily (Ubuntu):
status: Fix Committed → Fix Released
Pilot6 (hanipouspilot) wrote :

The firmware in Xenial has the fix now.

Changed in linux-firmware (Ubuntu):
status: In Progress → Fix Released
crystal (weiyanbin) wrote :

I see this bug has fixed, but ar9565 can't work on my computer. I need more help

Pilot6 (hanipouspilot) wrote :

@crystal

Create a new but report. This report is not about any AR9565, but about a specific PID.

haytham-med (haytham-med) wrote :

Got ubuntu 18.04 and have this issue,

haytham-med (haytham-med) wrote :
haytham-med (haytham-med) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers